<p class="header-container">
  <mat-toolbar color="primary">
    <img src="assets/utally_logo_simple.png" alt="Utally Logo" />
    <span>Utally Admin Board</span>
    <span class="toolbar-spacer"></span>
    <a mat-icon-button href="mailto:tobi3000@gmx.net"><fa-icon class="toolbar-icon" [icon]="faEnvelope"></fa-icon></a>
    <a mat-icon-button href="https://www.linkedin.com/in/tbs-hcht/" target="_blank"><fa-icon class="toolbar-icon" [icon]="faLinkedin"></fa-icon></a>
    <a mat-icon-button href="https://gitlab.com/t.hecht.th/utally" target="_blank"><fa-icon class="toolbar-icon" [icon]="faGitlabSquare"></fa-icon></a>
    <a mat-icon-button href="https://www.facebook.com/utallyproject/" target="_blank"><fa-icon class="toolbar-icon" [icon]="faSquareFacebook"></fa-icon></a>
    <a mat-icon-button href="https://twitter.com/UtallyProject" target="_blank"><fa-icon class="toolbar-icon" [icon]="faTwitterSquare"></fa-icon></a>
    <button (click)="logout()" mat-button>
      <fa-icon [icon]="faArrowRightFromBracket"></fa-icon>
    </button>
  </mat-toolbar>
</p>

<mat-drawer-container class="drawer-container" autosize>
  <mat-drawer #drawer class="drawer-sidenav" mode="side" opened>
    <div mat-subheader>Navigation</div>
    <mat-action-list>
      <mat-list-item (click)="changeState(1)" [class.selected]="state == 1">
        <fa-icon [icon]="faMartiniGlass" class="listIcon" matListItemIcon></fa-icon>
        <div mat-line>Products</div>
      </mat-list-item>
      <mat-list-item (click)="changeState(2)" [class.selected]="state == 2">
        <fa-icon [icon]="faMapPin" class="listIcon" matListItemIcon></fa-icon>
        <div mat-line>Locations</div>
      </mat-list-item>
      <mat-list-item (click)="changeState(3)" [class.selected]="state == 3 || state == 6">
        <fa-icon [icon]="faUserGroup" class="listIcon" matListItemIcon></fa-icon>
        <div mat-line>Teams</div>
      </mat-list-item>
      <mat-list-item (click)="changeState(4)" [class.selected]="state == 4 || state == 7 || state == 8 || state == 9">
        <fa-icon [icon]="faCalendarDays" class="listIcon" matListItemIcon></fa-icon>
        <div mat-line>Events</div>
      </mat-list-item>
      <mat-list-item (click)="changeState(5)" [class.selected]="state == 5">
        <fa-icon [icon]="faGears" class="listIcon" matListItemIcon></fa-icon>
        <div mat-line>Settings</div>
      </mat-list-item>
    </mat-action-list>
    <mat-divider></mat-divider>
    <div mat-subheader>Manual</div>
    <mat-action-list>
      <mat-list-item (click)="openInstallationManual()">
        <fa-icon [icon]="faCircleInfo" class="listIcon" matListItemIcon></fa-icon>
        <div mat-line>Installation</div>
      </mat-list-item>
      <mat-list-item (click)="openAdministrationManual()">
        <fa-icon [icon]="faCircleInfo" class="listIcon" matListItemIcon></fa-icon>
        <div mat-line>Administration</div>
      </mat-list-item>
    </mat-action-list>
  </mat-drawer>

  <div class="drawer-sidenav-content">
    <app-admin-product *ngIf="state == 1"></app-admin-product>
    <app-admin-location *ngIf="state == 2"></app-admin-location>
    <app-admin-team *ngIf="state == 3" (showPlayersByTeam)="showPlayersByTeam($event)"></app-admin-team>
    <app-admin-event *ngIf="state == 4" (showPlayersByEvent)="showPlayersByEvent($event)" (showTimeslotsByEvent)="showTimeslotsByEvent($event)" (showStatisticsByEvent)="showStatisticsByEvent($event)"></app-admin-event>
    <app-admin-setting *ngIf="state == 5"></app-admin-setting>
    <app-admin-team-players *ngIf="state == 6" [team]="team" (onBackClick)="state = 3"></app-admin-team-players>
    <app-admin-team-players *ngIf="state == 7" [event]="event" (onBackClick)="state = 4"></app-admin-team-players>
    <app-admin-timeslot *ngIf="state == 8" [event]="event" (onBackClick)="state = 4" (showStatisticsByTimeslot)="showStatisticsByTimeslot($event)"></app-admin-timeslot>
    <app-admin-event-statistics *ngIf="state == 9" [event]="event" (onBackClick)="state = 4"></app-admin-event-statistics>
    <app-admin-timeslot-statistics *ngIf="state == 10" [event]="event" [timeslot]="timeslot" (onBackClick)="state = 8"></app-admin-timeslot-statistics>
  </div>

</mat-drawer-container>
